package com.doc.biz.domain;

import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文件收藏标签对象 doc_favorite_label
 *
 * @author wukai
 * @date 2023-08-18
 */
@ApiModel(value = "DocFavoriteLabel", description = "文件收藏标签")
public class DocFavoriteLabel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 收藏标签ID
     */
    @ApiModelProperty("收藏标签ID")
    private Long labelId;

    /**
     * 标签名
     */
    @ApiModelProperty("标签名")
    private String labelName;

    /**
     * 所有人
     */
    @ApiModelProperty("所有人")
    private Long owner;

    public void setLabelId(Long labelId) {
        this.labelId = labelId;
    }

    public Long getLabelId() {
        return labelId;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public String getLabelName() {
        return labelName;
    }

    public void setOwner(Long owner) {
        this.owner = owner;
    }

    public Long getOwner() {
        return owner;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("labelId", getLabelId())
                .append("labelName", getLabelName())
                .append("owner", getOwner())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
