package com.doc.biz.domain;

import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 消息管理对象 doc_msg
 *
 * @author wukai
 * @date 2023-08-18
 */
@ApiModel(value = "DocMsg", description = "消息管理")
public class DocMsg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 消息ID
     */
    @ApiModelProperty("消息ID")
    private Long msgId;

    /**
     * 发送方用户ID
     */
    @ApiModelProperty("发送方用户ID")
    private String senderId;

    /**
     * 接受方用户ID
     */
    @ApiModelProperty("接受方用户ID")
    private String receiverId;

    /**
     * 消息内容
     */
    @ApiModelProperty("消息内容")
    private String msgContent;

    /**
     * 文件列表
     */
    @ApiModelProperty("文件列表")
    private String msgFiles;

    public void setMsgId(Long msgId) {
        this.msgId = msgId;
    }

    public Long getMsgId() {
        return msgId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setReceiverId(String receiverId) {
        this.receiverId = receiverId;
    }

    public String getReceiverId() {
        return receiverId;
    }

    public void setMsgContent(String msgContent) {
        this.msgContent = msgContent;
    }

    public String getMsgContent() {
        return msgContent;
    }

    public void setMsgFiles(String msgFiles) {
        this.msgFiles = msgFiles;
    }

    public String getMsgFiles() {
        return msgFiles;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("msgId", getMsgId())
                .append("senderId", getSenderId())
                .append("receiverId", getReceiverId())
                .append("msgContent", getMsgContent())
                .append("msgFiles", getMsgFiles())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
